Bug 437636 - /usr/lib/python2.5/site-packages/urlgrabber-3.0.0-py2.5.egg-info
/usr/lib/python2.5/site-packages/urlgrabber-3.0.0-py2.5.egg-info
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-urlgrabber (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-15 12:05 EDT by Robert Scheck
Modified: 2008-03-16 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-16 12:57:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-03-15 12:05:07 EDT
Description of problem:
RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/lib/python2.5/site-packages/urlgrabber-3.0.0-py2.5.egg-info

Version-Release number of selected component (if applicable):
python-urlgrabber-3.0.0-3

How reproducible:
Everytime, just try to rebuild package on Rawhide.

Actual results:
Unpackaged files.

Expected results:
Packaged file, please apply only the following patch or better:

--- python-urlgrabber.spec      3 Dec 2007 16:58:03 -0000       1.23
+++ python-urlgrabber.spec      15 Mar 2008 16:02:25 -0000
@@ -3,7 +3,7 @@
 Summary: A high-level cross-protocol url-grabber
 Name: python-urlgrabber
 Version: 3.0.0
-Release: 4%{?dist}
+Release: 5%{?dist}
 Source0: urlgrabber-%{version}.tar.gz
 Patch0: urlgrabber-keepalive.patch
 Patch1: urlgrabber-string-type.patch
@@ -41,10 +41,13 @@
 %files
 %defattr(-,root,root,-)
 %doc ChangeLog LICENSE README TODO
-%{python_sitelib}/urlgrabber
+%{python_sitelib}/urlgrabber*
 %{_bindir}/urlgrabber

 %changelog
+* Sat Mar 15 2008 Robert Scheck <robert@fedoraproject.org> 3.0.0-5
+- Make sure, that *.egg-info is catched up during build
+
 * Mon Dec  3 2007 Jeremy Katz <katzj@redhat.com> - 3.0.0-4
 - Ensure fds are closed on exceptions (markmc, #404211)
Comment 1 Jeremy Katz 2008-03-16 12:57:17 EDT
Thanks, applied

Note You need to log in before you can comment on or make changes to this bug.